Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoBlinker Class Reference
[Nodes]

`#include <Inventor/nodes/SoBlinker.h>`

Inheritance diagram for SoBlinker:

List of all members.

## Detailed Description

The SoBlinker class is a cycling switch node.

This switch node cycles its children SoBlinker::speed number of times per second. If the node has only one child, it will be cycled on and off. Cycling can be turned off using the SoBlinker::on field, and the node then behaves like a normal SoSwitch node.

## Public Member Functions
| SoBlinker (void)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | write (SoWriteAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFFloat | speed
SoSFBool | on
## Protected Member Functions
virtual | ~SoBlinker ()
virtual void | notify (SoNotList *nl)

## Constructor & Destructor Documentation

SoBlinker::SoBlinker | ( | void |  | ) |

| Constructor.

SoBlinker::~SoBlinker | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoBlinker::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoSwitch.

void SoBlinker::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoSwitch.

void SoBlinker::write | ( | SoWriteAction * | action | ) | `[virtual]`

| Action method for SoWriteAction. Writes out a node object, and any connected nodes, engines etc, if necessary. Reimplemented from SoSwitch.

void SoBlinker::notify | ( | SoNotList * | nl | ) | `[protected, virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoSwitch.

## Member Data Documentation

SoSFFloat SoBlinker::speed

| Number of cycles per second.

SoSFBool SoBlinker::on

| Controls whether cycling is on or off.

The documentation for this class was generated from the following files:

- SoBlinker.h
- SoBlinker.cpp